Conversations

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
PATCH
DELETE

Retrieve conversations views

Required API key scopes

ticket:read

Path parameters

  • short_id
    string

Response


Example request

GET /api/projects/:project_id/conversations/views/:short_id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/conversations/views/:short_id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"short_id": "string",
"name": "string",
"filters": {
"status": [
"new"
],
"priority": [
"low"
],
"channel": "widget",
"sla": "breached",
"aiTriageResult": [
"persisted"
],
"assignee": [
"me"
],
"tags": [
"string"
],
"tagsMatch": "any",
"tagsExclude": [
"string"
],
"dateFrom": "string",
"dateTo": "string",
"sorting": {
"columnKey": "string",
"order": 1
},
"search": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"is_favorited": true
}

Update conversations views

Required API key scopes

ticket:write

Path parameters

  • short_id
    string

Request parameters

  • name
    string
  • filters
  • is_favorited
    boolean

Response


Example request

PATCH /api/projects/:project_id/conversations/views/:short_id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/conversations/views/:short_id/\
-d name="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"short_id": "string",
"name": "string",
"filters": {
"status": [
"new"
],
"priority": [
"low"
],
"channel": "widget",
"sla": "breached",
"aiTriageResult": [
"persisted"
],
"assignee": [
"me"
],
"tags": [
"string"
],
"tagsMatch": "any",
"tagsExclude": [
"string"
],
"dateFrom": "string",
"dateTo": "string",
"sorting": {
"columnKey": "string",
"order": 1
},
"search": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"is_favorited": true
}

Delete conversations views

Required API key scopes

ticket:write

Path parameters

  • short_id
    string

Example request

DELETE /api/projects/:project_id/conversations/views/:short_id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/conversations/views/:short_id/

Example response

Status 204 No response body